--
-- helpPandel
-- Desc
--
-- @author  JC09
-- @date  23/01/11
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

helpPandel = {};

function helpPandel.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function helpPandel:load(xmlFile)
end;

function helpPandel:delete()
end;

function helpPandel:mouseEvent(posX, posY, isDown, isUp, button)
end;

function helpPandel:keyEvent(unicode, sym, modifier, isDown)
  if isDown and sym == Input.KEY_0 then
		self.helpPanel = not self.helpPanel;
	end
end;

function helpPandel:update(dt)
end;

function helpPandel:draw()
    if self.isEntered then
		if not self.helpPanel then
			renderText(0.8335, 0.22, 0.02, "Taste 0: Info Einschalten");
		else
			renderText(0.8335, 0.22, 0.02, "Taste 0: Info Abschalten");
		end;
		if self.helpPanel then
			renderText(0.72, 0.84, 0.025, "- Case IHC 844XL Info -");
			renderText(0.72, 0.815, 0.02, "Taste PAGE Up - Drehzahlbegrenzer hoch");	
			renderText(0.72, 0.8, 0.02, "Taste PAGE Down - Drehzahlbegrnzer runter");
			renderText(0.72, 0.785, 0.02, "Taste KP5 - Arbeitlicht vorne an/aus");
			renderText(0.72, 0.77, 0.02, "Taste KP6: Arbeitslicht hinte an/aus");		
			renderText(0.72, 0.755, 0.02, "Taste 8: Zwillingsreifen ein/aus");
            renderText(0.72, 0.74, 0.02, "Taste KP1 - Blinker links");
			renderText(0.72, 0.725, 0.02, "Taste KP2 - Warnblinker");
			renderText(0.72, 0.71, 0.02, "Taste KP3 - Blinker rechts");              
		end;
	end;
end;
